### Navigation

- index
- modules |
- next |
- previous |
- pyFormex 0.9.1 documentation >
- pyFormex reference manual >

# 40. `export` — Classes and functions for exporting geometry in various formats.

`Classes defined in module export`

class `export.``ObjFile`(filename)

  Export a mesh in OBJ format.

  This class exports a mesh in Wavefront OBJ format (see http://en.wikipedia.org/wiki/Wavefront_.obj_file).

  Usage:

      fil = ObjFile(PATH_TO_OBJFILE)
      fil.write(MESH)
      fil.close()

  `write`(mesh, name=None)

    Write a mesh to file in .obj format.

    mesh is a Mesh instance or another object having compatible coords and elems attributes.

`Functions defined in module export`

### Navigation

- index
- modules |
- next |
- previous |
- pyFormex 0.9.1 documentation >
- pyFormex reference manual >